OGRE: Ogre::AllocatedObject< Alloc > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::AllocatedObject< Alloc > Class Template Reference
Core » Memory

Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called. More...

`#include <OgreMemoryAllocatedObject.h>`

Inherited by Ogre::Controller< Real >, Ogre::ControllerFunction< Real >, Ogre::ControllerValue< Ogre::Real >, Ogre::ControllerValue< Real >, Ogre::AbstractNode, Ogre::AndroidLogListener, Ogre::AnimableValue, Ogre::Archive, Ogre::ArchiveFactory, Ogre::ArchiveManager, Ogre::AsyncTextureTicket, Ogre::AsyncTicket, Ogre::AutoParamDataSource, Ogre::Bone, Ogre::BufferPacked, Ogre::CocoaContext, Ogre::Codec, Ogre::Codec::CodecData, Ogre::CompositorManager2, Ogre::CompositorNode, Ogre::CompositorPass, Ogre::CompositorPassDef, Ogre::CompositorPassProvider, Ogre::CompositorTargetDef, Ogre::CompositorWorkspace, Ogre::ConcreteNode, Ogre::ConfigDialog, Ogre::ConfigFile, Ogre::Controller< T >, Ogre::ControllerFunction< T >, Ogre::ControllerManager, Ogre::ControllerValue< T >, Ogre::CubemapProbe, Ogre::D3D11StereoDriverBridge, Ogre::D3D11StereoDriverImpl, Ogre::D3D9Device, Ogre::D3D9DeviceManager, Ogre::D3D9Driver, Ogre::D3D9DriverList, Ogre::D3D9ResourceManager, Ogre::D3D9StereoDriverBridge, Ogre::D3D9StereoDriverImpl, Ogre::D3D9VideoModeList, Ogre::DataStream, Ogre::DepthBuffer, Ogre::DynLib, Ogre::DynLibManager, Ogre::ExternalTextureSourceManager, Ogre::FileSystemLayer, Ogre::ForwardPlusBase, Ogre::FrameStats, Ogre::GpuLogicalBufferStruct, Ogre::GpuNamedConstants, Ogre::GpuProgramParameters, Ogre::GpuProgramUsage, Ogre::GpuResource, Ogre::GpuSharedParameters, Ogre::GpuSharedParametersUsage, Ogre::HardwareOcclusionQuery, Ogre::HighLevelGpuProgramFactory, Ogre::Hlms, Ogre::HlmsComputeJob, Ogre::HlmsDatablock, Ogre::HlmsDiskCache, Ogre::HlmsJson, Ogre::HlmsJsonCompute, Ogre::HlmsManager, Ogre::HlmsTextureManager, Ogre::IesLoader, Ogre::Image, Ogre::Image2, Ogre::IntersectionSceneQueryResult, Ogre::IrradianceFieldRaster, Ogre::LightProfiles, Ogre::LodStrategy, Ogre::LodStrategyManager, Ogre::Log, Ogre::LogManager, Ogre::ManualObject::ManualObjectSection, Ogre::MaterialSerializer, Ogre::MetalDiscardBuffer, Ogre::MetalDiscardBufferManager, Ogre::MovableObject, Ogre::MovableObjectFactory, Ogre::MultiSourceVertexBufferPool, Ogre::Node, Ogre::ObjCmdBuffer, Ogre::Page, Ogre::PageContent, Ogre::PageContentCollection, Ogre::PageContentCollectionFactory, Ogre::PageContentFactory, Ogre::PagedWorld, Ogre::PagedWorldSection, Ogre::PagedWorldSectionFactory, Ogre::PageManager, Ogre::PageStrategy, Ogre::PageStrategyData, Ogre::Particle, Ogre::ParticleAffector, Ogre::ParticleAffectorFactory, Ogre::ParticleEmitterFactory, Ogre::ParticleSystemManager, Ogre::ParticleSystemRenderer, Ogre::ParticleSystemRendererFactory, Ogre::ParticleVisualData, Ogre::Pass, Ogre::PixelBox, Ogre::Plugin, Ogre::Profile, Ogre::ProfileInstance, Ogre::Profiler, Ogre::PropertyBase, Ogre::PropertyDef, Ogre::PropertySet, Ogre::PsoCacheHelper, Ogre::RadialDensityMask, Ogre::RenderPassDescriptor, Ogre::RenderQueue, Ogre::RenderSystem, Ogre::RenderSystemCapabilities, Ogre::RenderSystemCapabilitiesManager, Ogre::RenderSystemCapabilitiesSerializer, Ogre::RenderTarget, Ogre::Resource, Ogre::ResourceBackgroundQueue, Ogre::ResourceGroupManager, Ogre::ResourceManager, Ogre::ResourceManager::ResourcePool, Ogre::Root, Ogre::RTShader::FFPRenderStateBuilder, Ogre::RTShader::Function, Ogre::RTShader::FunctionAtom, Ogre::RTShader::HardwareSkinningTechnique, Ogre::RTShader::Operand, Ogre::RTShader::Parameter, Ogre::RTShader::Program, Ogre::RTShader::ProgramManager, Ogre::RTShader::ProgramProcessor, Ogre::RTShader::ProgramSet, Ogre::RTShader::ProgramWriter, Ogre::RTShader::ProgramWriterFactory, Ogre::RTShader::ProgramWriterManager, Ogre::RTShader::RenderState, Ogre::RTShader::SGMaterialSerializerListener, Ogre::RTShader::ShaderGenerator, Ogre::RTShader::SubRenderState, Ogre::RTShader::SubRenderStateFactory, Ogre::SceneManager, Ogre::SceneManagerEnumerator, Ogre::SceneManagerFactory, Ogre::SceneQuery, Ogre::SceneQueryResult, Ogre::ScriptCompiler, Ogre::ScriptCompiler::Error, Ogre::ScriptCompilerManager, Ogre::ScriptLexer, Ogre::ScriptParser, Ogre::ScriptTranslator, Ogre::ScriptTranslatorManager, Ogre::Serializer, Ogre::ShaderParams, Ogre::ShadowCameraSetup, Ogre::ShadowTextureDefinition, Ogre::ShadowVolumeExtrudeProgram, Ogre::SkeletonAnimation, Ogre::SkeletonAnimationDef, Ogre::SkeletonDef, Ogre::SkeletonInstance, Ogre::SkeletonManager, Ogre::SkeletonTrack, Ogre::StagingBuffer, Ogre::StagingTexture, Ogre::StreamSerialiser, Ogre::StreamSerialiser::Chunk, Ogre::SubItem, Ogre::SubMesh, Ogre::Technique, Ogre::Terrain, Ogre::Terrain::GpuBufferAllocator, Ogre::TerrainAutoUpdateLod, Ogre::TerrainGlobalOptions, Ogre::TerrainGroup, Ogre::TerrainGroup::TerrainSlot, Ogre::TerrainLayerBlendMap, Ogre::TerrainLodManager, Ogre::TerrainMaterialGenerator, Ogre::TerrainMaterialGenerator::Profile, Ogre::TerrainPagedWorldSection::TerrainDefiner, Ogre::TerrainPaging, Ogre::TerrainQuadTreeNode, Ogre::TerrainQuadTreeNode::LodLevel, Ogre::TextureDefinitionBase, Ogre::TextureDefinitionBase::BufferDefinition, Ogre::TextureDefinitionBase::TextureDefinition, Ogre::TextureFilter::FilterBase, Ogre::TextureGpuManager, Ogre::TextureUnitState, Ogre::Timer, Ogre::UserObjectBindings, Ogre::v1::Animation, Ogre::v1::AnimationState, Ogre::v1::AnimationStateSet, Ogre::v1::AnimationTrack, Ogre::v1::Billboard, Ogre::v1::BorderRenderable, Ogre::v1::EdgeData, Ogre::v1::HardwareBuffer, Ogre::v1::HardwareBufferManagerBase, Ogre::v1::IndexData, Ogre::v1::KeyFrame, Ogre::v1::ManualObject::ManualObjectSection, Ogre::v1::OldNode, Ogre::v1::OverlayElement, Ogre::v1::OverlayElementFactory, Ogre::v1::OverlayManager, Ogre::v1::OverlaySystem, Ogre::v1::PatchSurface, Ogre::v1::Pose, Ogre::v1::StaticGeometry, Ogre::v1::StaticGeometry::GeometryBucket, Ogre::v1::StaticGeometry::LODBucket, Ogre::v1::StaticGeometry::MaterialBucket, Ogre::v1::StaticGeometry::OptimisedSubMeshGeometry, Ogre::v1::StaticGeometry::QueuedGeometry, Ogre::v1::StaticGeometry::QueuedSubMesh, Ogre::v1::SubEntity, Ogre::v1::SubMesh, Ogre::v1::TempBlendedBufferInfo, Ogre::v1::VertexBufferBinding, Ogre::v1::VertexCacheProfiler, Ogre::v1::VertexData, Ogre::v1::VertexDeclaration, Ogre::v1::VertexElement, Ogre::VaoManager, Ogre::VertexArrayObject, Ogre::Viewport, Ogre::Volume::DualGridGenerator, Ogre::Volume::IsoSurface, Ogre::Volume::MeshBuilder, Ogre::Volume::OctreeNode, Ogre::Window, Ogre::WorkQueue, Ogre::WorkQueue::Request, and Ogre::WorkQueue::Response.

## Public Member Functions
| AllocatedObject ()
| ~AllocatedObject ()
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...

## Detailed Description

### template<class Alloc>
class Ogre::AllocatedObject< Alloc >

Superclass for all objects that wish to use custom memory allocators when their new / delete operators are called.

Requires a template parameter identifying the memory allocator policy to use (e.g. see StdAllocPolicy).

## Constructor & Destructor Documentation

## ◆ AllocatedObject()

template<class Alloc >

Ogre::AllocatedObject< Alloc >::AllocatedObject | ( |  | ) |
| inlineexplicit

## ◆ ~AllocatedObject()

template<class Alloc >

Ogre::AllocatedObject< Alloc >::~AllocatedObject | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inline

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inline

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inline

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inline

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inline

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inline

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inline

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inline

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inline

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inline

array operator new, with debug line info

The documentation for this class was generated from the following file:

- OgreMemoryAllocatedObject.h